C# NX二次开发:投影曲线和偏置曲线UFUN函数详解

发布于:2025-05-08 ⋅ 阅读:(51) ⋅ 点赞:(0)

大家好,今天要讲的是关于投影曲线和偏置曲线相关的函数。

(1)UF_CURVE_create_proj_curves1:这个函数的定义为创建投影曲线。

Defined in: uf_curve.h
 

Overview

Creates projection curves.

Objects to project may be points, curves, sketch feature identifiers, or
other projected curve feature identifiers. The "number of curves and
points" is the number of such object tags (and does not include the
numbers of curves in any sketch or projection curve feature).

For copy_flag=1 or 2, a group identifier is returned. You can perform
operations on the entire group or extract individual curves from the
group and operate on them.

CAUTION: Because multiple projection curves can be returned for
single defining curves, no attempt is made to assure that the order of
the output curves in the group corresponds to the order of the input
curves. If the order is important, for copy_flag = 1 or 2, the curves
should be projected one at a time.

NOTE: The Along Vector option (proj_type = 3) projects the selected
objects along a specified vector. You can project the curves in the
direction indicated by the vector by setting the multiplicity to 1
(single), or in both directions by setting the multiplicity to 2 (both).
The Along Vector option produces all possible images on the face.

CAUTION: For copy_flag = 2 (move), new curves/points are created
and the original curves/points are deleted.
For a projected curve feature created using copy_flag=3, the feature
can be deleted using UF_MODL_delete_feature. Individual projection
curves of the feature can not be deleted.

UF_MODL_move_feature can be used to move the projected curve feature.

Points can not be projected using "angle and vector" (proj_type = 4)
or "equal arc length" (proj_type =6).

NOTE: You can change the tolerance used to create a curve
projection by using the subroutine UF_MODL_set_distance_tolerance.
The projection along face normals or along a vector produces an exact
projection when projecting onto a plane.
 

Environment

Internal and External
 

See Also

UF_MODL_create_proj_curves
UF_MODL_ask_proj_curves
UF_CURVE_ask_proj_curves
 

History

Originally released in NX4.0
 

Required License(s)

( solid_modeling  or  drafting )


 

int UF_CURVE_create_proj_curves1
(

int n_curve_refs,
tag_t * curve_refs,
int n_face_refs,
tag_t * face_refs,
int copy_flag,
UF_CURVE_proj1_p_t proj_data,
tag_t * proj_curve_feature

)

int n_curve_refs Input Number of curves and points
tag_t * curve_refs Input Array of curve and point identifiers.
int n_face_refs Input Number of sheet bodies, faces and planes
tag_t * face_refs Input Array of plane, datum plane, face or sheet body identifiers.
int copy_flag Input Copy flag:
1 = copy
2 = move
3= associate
UF_CURVE_proj1_p_t proj_data Input Pointer to projection curve data structure.
See documentation of UF_CURVE_proj1_s for
entries.
tag_t * proj_curve_feature Output Group identifier for copy_flag = 1 or 2,
Projected curve feature identifier for
copy_flag=3

(2)UF_CURVE_create_offset_curve

Defined in: uf_curve.h
 

Overview

Offsets a string of curves (non-associative).
 

Environment

Internal and External
 

See Also

UF_CURVE_offset_data_t
 

Required License(s)

( solid_modeling  or  drafting )


 

int UF_CURVE_create_offset_curve
(

UF_CURVE_offset_data_p_t offset_data_pointer,
int * num_offset_curves,
tag_t * * offset_curve_tags

)

UF_CURVE_offset_data_p_t offset_data_pointer Input Pointer to structure containing the
defining data of the offset curve.
int * num_offset_curves Output Number of offset curves created
tag_t * * offset_curve_tags Output to UF_*free* Object identifiers of offset curves created.
Use UF_free to deallocate memory when done.

今天要介绍的就是这么多,我们下篇文章再见。


网站公告

今日签到

点亮在社区的每一天
去签到